# Filename file input plugin for Embulk

TODO: Write short description here and build.gradle file.

## Overview

* **Plugin type**: file input
* **Resume supported**: yes
* **Cleanup supported**: yes

## Configuration

- **option1**: path_prefix (string, required)

## Example
seed.yml:
```yaml
exec:
  min_output_tasks: 1
in:
  type: filename
  path_prefix: /path/to/my/files
  parser:
    type: none
out:
  type: wendelin
  tag: my_tag
  streamtool_uri: https://my_instance.host.vifib.net:/erp5/portal_ingestion_policies/my_ingestion_policy
  user: my_user
  password: my_password
```

## Run
embulk -J-O run -L embulk-parser-none-bin -L embulk-input-filename -L embulk-output-wendelin seed.yml

## Build

```
$ ./gradlew gem  # -t to watch change of files and rebuild continuously
```
